# Filename: tri_set_properties_pattern.py
# Set the shading pattern of a triangulation.
# Returns: Void.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation

# property list
# SHADED: True = 1; False = 0
# WIREFRAME: True = 1; False = 0
# PATTERN: Pattern index, range: 0 - 47
# FILL: True = 1; False = 0

with vulcan.triangulation(input_tri,'w') as tri: # Open triangulation in write mode
    props = tri.get_properties()
    props["SHADED"] = 0
    props["WIREFRAME"] = 1
    props["PATTERN"] = 10
    props["FILL"] = 1
    tri.set_properties(props)